> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/pregled-na-zayavkite-km-geopard-api/88.-mutaciya-eksport-na-zonesmap-kato-kompresiran-shapefile.md).

# 88. Мутация: Експорт на ZonesMap като компресиран Shapefile

Генерирайте zip архив със селектирания "ZonesMap" като shapefile.

{% hint style="info" %}
Архивът се състои от \*.shp, \*.shx, \*.prj, \*.dbf файлове в EPSG:4326.
{% endhint %}

### 1. Подготовка

* Атрибутът `vectorAnalysisMaps` съдържа масив от обекти ZonesMaps (VectorAnalysisMaps), които да бъдат експортирани. Всеки такъв обект включва чифт от `fieldUuid` (връзка към избраното поле) и `uuid` (връзка към избрания ZonesMap).
* Булевият атрибут `asMultiGeometry` определя дали зоните да се експортират като `Многоъгълници (Polygons)` или `Мулти-многоъгълници (MultiPolygons)` (когато е зададено на `true` ).
* Булевият атрибут `onlyProductColumns` указва дали само колоните с продукти (RX) да бъдат включени в shapefile-а (когато `true`). В противен случай всички статистически атрибути и ID-та на зоните ще бъдат включени като колони.
* Атрибутът `archiveName` съдържа името на генерирания zip архив.
* Атрибутът `filePostfix` позволява добавяне на потребителски постфикси към експортираните файлове и архива.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Сваляне на генерирания архив

След изпълнение на GraphQL заявката, е възможно да го изтеглите чрез `curl` или подобен подход.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/pregled-na-zayavkite-km-geopard-api/88.-mutaciya-eksport-na-zonesmap-kato-kompresiran-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
